import './index.less';
import { UploadOutlined } from '@ant-design/icons';
import * as React from 'react';
import {Button, Upload} from "antd";

export default function FileInput({
                                      accept,
                                      label,
                                      onChange,
                                      'data-test-id': dataTestId,
                                  }) {

    const props = {
        beforeUpload: (file) => {
            const isPNG = file.type === 'image/png';
            if (!isPNG) {
                message.error(`${file.name} is not a png file`);
            }
            return isPNG || Upload.LIST_IGNORE;
        },
        onChange: (info) => {
            console.log(info.fileList);
        },
    };

    return (
        <div className="Input__wrapper">
            <label className="Input__label">{label}</label>
            <input
                type="file"
                placeholder="选择文件"
                accept={accept}
                className="Input__input"
                onChange={(e) => onChange(e.target.files)}
                data-test-id={dataTestId}
            />
            {/*<Upload {...props}>*/}
            {/*    <Index icon={<UploadOutlined />}>选择文件</Index>*/}
            {/*</Upload>*/}
        </div>
    );
}
